package cn.iocoder.yudao.module.order.dal.dataobject.orderFeeApplication;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单费用申请 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_fee_application")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderFeeApplicationDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 费用类型
     *
     * 枚举 {@link TODO fee_type 对应的类}
     */
    private Integer feeType;
    /**
     * 费用申请金额
     */
    private java.math.BigDecimal applicationFee;
    /**
     * 费用申请货币类型
     *
     */
    private Integer applicationFeeCurrency;
    /**
     * 付款类型
     *
     * 枚举 {@link TODO pay_type 对应的类}
     */
    private Integer payType;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 确认收款
     *
     * 枚举 {@link TODO receive_flag 对应的类}
     */
    private Integer receiveFlag;
    /**
     * 费用申请人ID
     */
    private Long applicationId;
    /**
     * 费用申请人名称
     */
    private String applicationAuthor;
    /**
     * 审核ID
     */
    private Integer sid;
    /**
     * 审核人
     */
    private String shenhe;
    /**
     * 审核时间
     */
    private Date shenhetime;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 回复
     */
    private String huifu;
    /**
     * 流程ID
     */
    private String bpmProcessId;
    /**
     * 应收ID
     */
    private Integer receivableId;

    /**
     * 批量费用审核时业务主键ID
     */
    private String batchBpmBusinessId;

}
