package cn.iocoder.yudao.module.order.vo.orderOperateLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 订单操作日志查询 VO")
public class OrderOperateLogQueryVO {

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "变更后订单详情数据")
    private String body;

    @ApiModelProperty(value = "请求地址")
    private String requestUrl;

    @ApiModelProperty(value = "变更类型")
    private String type;


    @ApiModelProperty(value = "变更描述")
    private String msg;

    @ApiModelProperty(value = "备注说明")
    private String note;

    @ApiModelProperty(value = "操作人类型：1 会员 2 管理员")
    private Integer userType;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "创建者名称")
    private String creatorName;

}
