package cn.iocoder.yudao.module.order.vo.orderSplitItem;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 订单拆单产品项更新 Request VO")
@Data
@ToString
@EqualsAndHashCode
public class OrderSplitItemUpdateReqVO {


    @ApiModelProperty(value = "拆单项id", required = true)
    @NotNull(message = "拆单项id不能为空")
    private Long id;

//    @ApiModelProperty(value = "拆单id", required = true)
//    @NotNull(message = "拆单id不能为空")
//    private Long orderSplitId;

//    @ApiModelProperty(value = "订单项id", required = true)
//    @NotNull(message = "订单项id不能为空")
//    private Long orderItemId;

    @ApiModelProperty(value = "件数", notes = "空值或0，不予更新")
    private Integer num;

    @ApiModelProperty(value = "数量", notes = "空值或0，不予更新")
    private Integer quantity;

    @ApiModelProperty(value = "重量", notes = "空值或0，不予更新")
    private BigDecimal weight;

    @ApiModelProperty(value = "收费重量", notes = "空值或0，不予更新")
    private BigDecimal chargeWeight;

    @ApiModelProperty(value = "体积", notes = "空值或0，不予更新")
    private BigDecimal volume;

    @ApiModelProperty(value = "收费体积", notes = "空值或0，不予更新")
    private BigDecimal chargeVolume;

    @ApiModelProperty(value = "货值", notes = "空值或0，不予更新")
    private BigDecimal worth;

    @ApiModelProperty(value = "规格记录")
    private List<OrderSpiltItemSpecsRecordVO> specsRecordVOList;

    @ApiModelProperty(value = "备注", notes = "空值或0，不予更新")
    private String remark;


    @ApiModelProperty(value = "是否出货拆单")
    private Boolean shipmentSplit = Boolean.FALSE;

    /** 空运拆单可自定义成交单价参数 **/

    @ApiModelProperty(value = "运费成交单价")
    private BigDecimal oneSeaFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "清关费单价(成交)")
    private BigDecimal oneClearanceFreight = BigDecimal.ZERO;

}
